Skip to main content
GET
/
budgets
/
{budgetId}
/
direct-debits
/
{directDebitId}
/
payment-requests
List all direct debit payment requests
curl --request GET \
  --url https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}/payment-requests \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "775596ae-2624-40af-a9dc-9756110a4a03",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "reference": "fre4r5tg",
      "status": "PENDING",
      "amount": "100",
      "currency": "USD",
      "originator": {
        "id": "123456",
        "accountName": "Netflix Inc",
        "bankIdentifier": "string",
        "accountIdentifier": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "processedAt": "2019-08-24T14:15:22Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

budgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

directDebitId
string<uuid>
required

The ID of the direct debit to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required

List of direct debit payment requests.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100